*** message.el-orig	Sun Apr 14 16:40:06 1996
--- message.el	Tue Apr 16 02:33:57 1996
***************
*** 297,302 ****
--- 297,308 ----
  (defvar message-default-news-headers nil
    "*A string of header lines to be inserted in outgoing news articles.")
  
+ ;; 1996/4/16 created by MORIOKA Tomohiko <morioka@jaist.ac.jp>
+ (defvar message-buffer-constructor-alist
+   '((t . message-default-buffer-constructor))
+   "*Alist which key part is buffer name and value part is
+ functions to build message buffer.")
+ 
  ;; Note: could use /usr/ucb/mail instead of sendmail;
  ;; options -t, and -v if not interactive.
  (defvar message-mailer-swallows-blank-line
***************
*** 1836,1842 ****
--- 1842,1856 ----
        (forward-line 2)))
     (sit-for 0)))
  
+ ;; 1996/4/16 created by MORIOKA Tomohiko <morioka@jaist.ac.jp>
  (defun message-pop-to-buffer (name)
+   "Pop to buffer NAME, and warn if it already exists and is modified."
+   (let ((m (cdr (or (assoc name message-buffer-constructor-alist)
+ 		    (assq t message-buffer-constructor-alist)))))
+     (funcall m name)
+     ))
+ 
+ (defun message-default-buffer-constructor (name)
    "Pop to buffer NAME, and warn if it already exists and is modified."
    (let ((buffer (get-buffer name)))
      (if (and buffer
